Framework of install-iso-pre.
Signed-off-by: Yu Chuan <13186087857(a)163.com>
---
jobs/install-iso-pre.yaml | 52 +++++++++++++++++++++++
tests/install-iso-pre | 86 +++++++++++++++++++++++++++++++++++++++
2 files changed, 138 insertions(+)
create mode 100644 jobs/install-iso-pre.yaml
create mode 100755 tests/install-iso-pre
diff --git a/jobs/install-iso-pre.yaml b/jobs/install-iso-pre.yaml
new file mode 100644
index 000000000000..a9dbe46b4bf3
--- /dev/null
+++ b/jobs/install-iso-pre.yaml
@@ -0,0 +1,52 @@
+suite: install-iso-pre
+
+install-iso-pre:
+ #################
+ # iso info
+ #################
+ iso_os:
+ iso_arch:
+ iso_version:
+
+ #################
+ # http server info, which stored the installation source
+ #################
+ HTTP_SERVER_HOST:
+ HTTP_SERVER_PORT:
+ HTTP_ROOT_DIR:
+
+ #################
+ # rsync-server info, used for upload ks
+ #################
+ RSYNC_SERVER_HOST:
+ RSYNC_SERVER_PORT:
+
+ #################
+ # tftp server info, used for kickstart auto install
+ #################
+ TFTP_SERVER_HOST:
+
+ #################
+ # nfs server info, used for store rootfs
+ #################
+ NFS_SERVER_HOST:
+ NFS_ROOT_DIR:
+
+ #################
+ # result rootfs suffix, format: $(date "+%Y%m%d%H%M%S")
+ #################
+ ROOTFS_SUFFIX:
+
+ #################
+ # name of volume group which stores the logical volume of rootfs
+ #################
+ VG_NAME:
+
+ #################
+ # lab_z9 git repo clone url, used for find host file when submit
+ #################
+ LAB_Z9_URL:
+
+secrets:
+ ROOTFS_ROOT_PASSWD:
+ MY_TOKEN:
diff --git a/tests/install-iso-pre b/tests/install-iso-pre
new file mode 100755
index 000000000000..4817f6d8eb37
--- /dev/null
+++ b/tests/install-iso-pre
@@ -0,0 +1,86 @@
+#!/bin/bash
+# SPDX-License-Identifier: MulanPSL-2.0+
+# Copyright (c) 2020 Huawei Technologies Co., Ltd. All rights reserved.
+
+set -e
+
+. $LKP_SRC/lib/debug.sh
+. $LKP_SRC/lib/log.sh
+
+check_params()
+{
+ log_info "start check params"
+
+ local required_vars=(
+ "iso_os"
+ "iso_arch"
+ "iso_version"
+ "ROOTFS_SUFFIX"
+ "VG_NAME"
+
+ "HTTP_SERVER_HOST"
+ "HTTP_SERVER_PORT"
+ "HTTP_ROOT_DIR"
+ "ROOTFS_ROOT_PASSWD"
+ "rootfs_disk"
+
+ "RSYNC_SERVER_HOST"
+ "RSYNC_SERVER_PORT"
+ "TFTP_SERVER_HOST"
+ "NFS_SERVER_HOST"
+ "NFS_ROOT_DIR"
+
+ "LAB_Z9_URL"
+ "MY_TOKEN"
+ )
+
+ for i in "${required_vars[@]}"
+ do
+ [ -n "$(eval echo \$$i)" ] || die "cannot get value of var: $i"
+ done
+}
+
+prepare_lv()
+{
+ :
+}
+
+prepare_ks()
+{
+ :
+}
+
+prepare_submit()
+{
+ :
+}
+
+submit_install_iso_yaml()
+{
+ :
+}
+
+submit_install_iso_firstboot_yaml()
+{
+ :
+}
+
+submit_install_iso_sync_rootfs_yaml()
+{
+ :
+}
+
+main()
+{
+ check_params
+
+ prepare_lv
+ prepare_ks
+ prepare_submit
+
+ submit_install_iso_yaml
+ submit_install_iso_firstboot_yaml
+ submit_install_iso_sync_rootfs_yaml
+}
+
+main
--
2.23.0